\section{Scalable Maxima Pool}
\frame{
  \frametitle{Stack Uses Maxima}
  \begin{itemize}
	\item local
	\item separated server
  \begin{itemize}
   \item MaximaPool 
   \item MaximaPool as Docker Container
  \end{itemize}
  \end{itemize}
}

\subsection{The Peak}
\frame{
  \frametitle{The Peak}
  \begin{itemize}
    \item local - enough for testing
    \item separated server 
  \begin{itemize}
     \item there is allways a limit 
     \item big server - most of the time idle
     \item not scalable
  \end{itemize}
  \end{itemize}
}

\subsection{Virtualisation}
\frame{
  \frametitle{Virtualisation}
  \begin{itemize}
    \item Maximapool in a virtual machine
    \item Maximapool as Docker Container
  \begin{itemize}
    \item Still a single server
    \item Dead lock possible
  \end{itemize}
  \end{itemize}
}

\subsection{Using More Servers}
\frame{
  \frametitle{Using More Servers}
  \begin{itemize}
    \item Docker Swarm
    \item turns a pool of Docker hosts 
  \begin{itemize}
    \item  into a virtual, single host
    \item avoids dead locks
    \item more or less easy setup
  \end{itemize}
    \item \textbf{but:} 
  \begin{itemize}
    \item deprecated
    \item buggy
  \end{itemize}
  \end{itemize}
}

\subsection{Kubernetes}
\frame{
  \frametitle{Kubernetes}
  \begin{itemize}
    \item created by Google for container 
    \item dynamic allocation of resources
  \begin{itemize}
    \item scaling up and down 
    \item automation across clusters of hosts
    \item rolling updates 
  \end{itemize}
    \item industrial standard
    \item sophisticated setup 
  \end{itemize}
}


\section{Actual Status}
\subsection{DockerSwarm}
\frame{
  \frametitle{DockerSwarm}
  \begin{itemize}
	  \item public since February 2019
	  \item about 400 CPUS, 128 docker container
	  \item used by several german universities
	  \item first overload 22th. of April 2020
  \begin{itemize}
	  \item Memory overflow (limit 768 MB each container)
	  \item DockerSwarm network bug
  \end{itemize}
  \end{itemize}
}

\subsection{Kubernetes}
\frame{
  \frametitle{Kubernetes}
  \begin{itemize}
	  \item roll out in May 2020
	  \item replaces DockerSwarm
	  \item offering different maxima and STACK versions
	  \item really autoscaling
	  \item near future: docker image without tomcat and java
          \item project news:
          \item https://projects.gwdg.de/projects/netzwerk-mathe-digital/wiki/stack-maxima-pool-technical-details
  \end{itemize}
}

\subsection{Suggestions}
\frame{
  \frametitle{Suggestions}
  \begin{itemize}
	  \item centralized maximapool service for each country
	  \item in Germany for each Bundesland
  \end{itemize}
}

\subsection{Questions ?}
\frame{
  \frametitle{Questions ?}
  \begin{itemize}
	  \item feel free to contact me
  \end{itemize}
}


